commit:     3a70b5fd8724598c48906b962029a8f037a31494
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 30 17:20:47 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Nov 30 17:20:47 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a70b5fd

xfce-base/xfce4-panel: Bump to 4.17.5

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/xfce4-panel/Manifest                  |  1 +
 xfce-base/xfce4-panel/xfce4-panel-4.17.5.ebuild | 72 +++++++++++++++++++++++++
 2 files changed, 73 insertions(+)

diff --git a/xfce-base/xfce4-panel/Manifest b/xfce-base/xfce4-panel/Manifest
index 813d65d83107..b01c6818e9f4 100644
--- a/xfce-base/xfce4-panel/Manifest
+++ b/xfce-base/xfce4-panel/Manifest
@@ -1,3 +1,4 @@
 DIST xfce4-panel-4.16.5.tar.bz2 1386556 BLAKE2B 
e0543e2c2259a03b09ddaef951434127a76f176626b5355497c1f27748c83857cb34ed1ddecf694c36e3422ca9e55fa4e7eae728b0b50e06feb40ca6e867ebdc
 SHA512 
d72220fa2812ae3b420350dab4c9d33e01d26d27ba33e4c16ad848ed1915c3c4aaf41fef24e2e7271e31171536148ad32b55aabc3e1facd4bf8a411990fd27bb
 DIST xfce4-panel-4.17.3.tar.bz2 1428565 BLAKE2B 
a5a1f44eecd53f3ad5419dfe33aa444318d4808e14b68dcc9c986efc75eb7e9e9da613855ca3b1ec6bd02676ad0707b607911c8fccde5f9b843b8e3c8d991601
 SHA512 
43b9f258fa0938007e4583130b7498ae01b44ab6631f453cef05f7c2970d71e9adb34cd13ce35eb095d6b3fc5097c604c07881a1e78a9173ec6e6733cfd58cbd
 DIST xfce4-panel-4.17.4.tar.bz2 1447523 BLAKE2B 
8619bb258b1909ca0eedad828e8e76305cc03e5cacdbe20d7a53e06c228b710659ea1de4c03b69edb37da7d1ecee49a781e2b24a53918775d0ceb0a92156ac2a
 SHA512 
4e506349093a62496a5d4e812ba41e8da5cc75c7aad319f63f077df4e0e11a2e6cce8a110dab51cbf75f73438ac700fab17e7037244097143476c8fcd0053af6
+DIST xfce4-panel-4.17.5.tar.bz2 1450044 BLAKE2B 
5ee351df3ff56d82cd85c9bd4af85dc1fd2f597f4669167421f0af18255bb175ecb80fcc9ddae884d2e32184bb608833e22fe126a59cc48a03e8856520a3672e
 SHA512 
149d41c190d2caf8e5f03ad8c2d53890b3529e21e31d34795673e4951c68ce6d96ca75a32d622ae211657f9ff1449cfffd5daa59cdc54bf4ff1b189f0cd7abfc

diff --git a/xfce-base/xfce4-panel/xfce4-panel-4.17.5.ebuild 
b/xfce-base/xfce4-panel/xfce4-panel-4.17.5.ebuild
new file mode 100644
index 000000000000..b9c27f5159e3
--- /dev/null
+++ b/xfce-base/xfce4-panel/xfce4-panel-4.17.5.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit vala xdg-utils
+
+DESCRIPTION="Panel for the Xfce desktop environment"
+HOMEPAGE="
+       https://docs.xfce.org/xfce/xfce4-panel/start
+       https://gitlab.xfce.org/xfce/xfce4-panel/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 
~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="+dbusmenu introspection vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND="
+       >=dev-libs/glib-2.66
+       >=x11-libs/cairo-1
+       >=x11-libs/gtk+-3.22:3[introspection?]
+       x11-libs/libX11
+       x11-libs/libwnck:3
+       >=xfce-base/exo-0.11.2:=
+       >=xfce-base/garcon-4.17.0:=
+       >=xfce-base/libxfce4ui-4.17.1:=
+       >=xfce-base/libxfce4util-4.17.2:=[introspection?,vala?]
+       >=xfce-base/xfconf-4.13:=
+       dbusmenu? ( >=dev-libs/libdbusmenu-16.04.0[gtk3] )
+       introspection? ( >=dev-libs/gobject-introspection-1.66:= )
+"
+DEPEND="
+       ${RDEPEND}
+"
+BDEPEND="
+       vala? ( $(vala_depend) )
+       dev-lang/perl
+       dev-util/gdbus-codegen
+       dev-util/gtk-doc-am
+       dev-util/intltool
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myconf=(
+               $(use_enable introspection)
+               $(use_enable dbusmenu dbusmenu-gtk3)
+               $(use_enable vala)
+       )
+
+       use vala && vala_setup
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}

Reply via email to